Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 872269 - media-libs/mesa-22.2.0: ../mesa-22.2.0/meson.build:683:2: ERROR: Program 'glslangValidator' not found or not executable
Summary: media-libs/mesa-22.2.0: ../mesa-22.2.0/meson.build:683:2: ERROR: Program 'gl...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 3 votes (vote)
Assignee: Gentoo X packagers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-09-22 02:16 UTC by Sam James
Modified: 2022-10-01 22:48 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (file_872269.txt,5.21 KB, text/plain)
2022-09-22 02:16 UTC, Sam James
Details
meson-log.txt (file_872269.txt,15.72 KB, text/plain)
2022-09-22 02:17 UTC, Sam James
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-09-22 02:16:40 UTC
Created attachment 813448 [details]
build.log

Project version: 22.2.0
C compiler for the host machine: x86_64-pc-linux-gnu-gcc -m32 (gcc 12.2.1 "x86_64-pc-linux-gnu-gcc (Gentoo Hardened 12.2.1_p20220917 p1) 12.2.1 20220917")
C linker for the host machine: x86_64-pc-linux-gnu-gcc -m32 ld.bfd 2.39
C++ compiler for the host machine: x86_64-pc-linux-gnu-g++ -m32 (gcc 12.2.1 "x86_64-pc-linux-gnu-g++ (Gentoo Hardened 12.2.1_p20220917 p1) 12.2.1 20220917")
C++ linker for the host machine: x86_64-pc-linux-gnu-g++ -m32 ld.bfd 2.39
Host machine cpu family: x86
Host machine cpu: i686
Checking if "-mtls-dialect=gnu2" runs: YES
Program glslangValidator found: NO

../mesa-22.2.0/meson.build:683:2: ERROR: Program 'glslangValidator' not found or not executable

A full log can be found at /var/tmp/portage/media-libs/mesa-22.2.0/work/mesa-22.2.0-abi_x86_32.x86/meson-logs/meson-log.txt
 * ERROR: media-libs/mesa-22.2.0::gentoo failed (configure phase):
 *   (no error message)
 * 

----

Portage 3.0.36 (python 3.11.0-candidate-2, default/linux/amd64/17.1/hardened, gcc-12.2.1, glibc-2.36-r3, 5.15.67-gentoo-dist-hardened x86_64)
=================================================================
System uname: Linux-5.15.67-gentoo-dist-hardened-x86_64-AMD_Ryzen_9_3950X_16-Core_Processor-with-glibc2.36
KiB Mem:    65765036 total,  22419216 free
KiB Swap:    8290300 total,     12228 free
Timestamp of repository gentoo: Thu, 22 Sep 2022 02:04:03 +0000
Head commit of repository gentoo: 1f4485598a8a4f007fd3117cacf2648b2022fc10

Timestamp of repository emacs: Wed, 24 Aug 2022 05:02:36 +0000
Head commit of repository emacs: cfdb9df2b4b45d064912481b0fa29cd2c6965703

Timestamp of repository kde: Tue, 20 Sep 2022 19:18:40 +0000
Head commit of repository kde: 9959392dbdaae9e1ca76bf38cee54072c44ecd02

Timestamp of repository qt: Sun, 18 Sep 2022 12:01:56 +0000
Head commit of repository qt: c7e0d707368bafa3daa0d372757ec6c952e7c50c

Timestamp of repository sam_c: Sat, 17 Sep 2022 22:46:48 +0000
Head commit of repository sam_c: d17621f496bfa3a05d34fc41a2528ca44e0558a6

Timestamp of repository steam-overlay: Wed, 07 Sep 2022 08:26:00 +0000
Head commit of repository steam-overlay: 78208ca83614c4cc031ca8f8ec9b023a5c9c3b1e

sh dash 0.5.11.5
ld GNU ld (Gentoo 2.39 p4) 2.39.0
ccache version 4.6.3 [disabled]
app-misc/pax-utils:        1.3.5::gentoo
app-shells/bash:           5.2_rc4::gentoo
dev-java/java-config:      2.3.1::gentoo
dev-lang/perl:             5.36.0::gentoo
dev-lang/python:           2.7.18_p15-r1::gentoo, 3.8.14::gentoo, 3.9.14::gentoo, 3.10.7::gentoo, 3.11.0_rc2::gentoo
dev-lang/rust:             1.63.0-r1::gentoo
dev-util/ccache:           4.6.3::gentoo
dev-util/cmake:            3.24.2::gentoo
dev-util/meson:            0.63.2-r1::gentoo
sys-apps/baselayout:       2.9::gentoo
sys-apps/sandbox:          2.29::gentoo
sys-apps/systemd:          251.4::gentoo
sys-devel/autoconf:        2.13-r3::gentoo, 2.69-r7::gentoo, 2.71-r4::gentoo
sys-devel/automake:        1.16.5::gentoo
sys-devel/binutils:        2.39-r2::gentoo
sys-devel/binutils-config: 5.4.1::gentoo
sys-devel/clang:           14.0.6-r1::gentoo, 15.0.1::gentoo, 16.0.0_pre20220918::gentoo
sys-devel/gcc:             9.5.0::gentoo, 10.4.1_p20220915::gentoo, 11.3.1_p20220916::gentoo, 12.2.1_p20220917::gentoo, 13.0.0_pre20220918::gentoo
sys-devel/gcc-config:      2.5-r1::gentoo
sys-devel/libtool:         2.4.7::gentoo
sys-devel/lld:             14.0.6::gentoo
sys-devel/llvm:            14.0.6-r2::gentoo, 15.0.1::gentoo, 16.0.0_pre20220918::gentoo
sys-devel/make:            9999::gentoo
sys-kernel/linux-headers:  5.19::gentoo (virtual/os-headers)
sys-libs/glibc:            2.36-r3::gentoo
Repositories:

gentoo
    location: /var/db/repos/gentoo
    sync-type: git
    sync-uri: https://github.com/gentoo-mirror/gentoo.git
    priority: -1000
    eclass-overrides: sam_c
    sync-git-clone-extra-opts: -b stable -c gc.reflogExpire=0 -c gc.reflogExpireUnreachable=0 -c gc.rerereresolved=0 -c gc.rerereunresolved=0 -c gc.pruneExpire=now
    sync-git-verify-commit-signature: yes

crossdev
    location: /var/db/repos/crossdev
    masters: gentoo
    eclass-overrides: sam_c

emacs
    location: /var/db/repos/emacs
    sync-type: git
    sync-uri: https://github.com/gentoo-mirror/emacs.git
    masters: gentoo
    eclass-overrides: sam_c

kde
    location: /var/db/repos/kde
    sync-type: git
    sync-uri: https://github.com/gentoo-mirror/kde.git
    masters: gentoo
    eclass-overrides: sam_c

local
    location: /var/db/repos/local
    masters: gentoo
    eclass-overrides: sam_c

qt
    location: /var/db/repos/qt
    sync-type: git
    sync-uri: https://github.com/gentoo-mirror/qt.git
    masters: gentoo
    eclass-overrides: sam_c

sam_c
    location: /var/db/repos/sam_c
    sync-type: git
    sync-uri: https://github.com/gentoo-mirror/sam_c.git
    masters: gentoo
    eclass-overrides: sam_c

steam-overlay
    location: /var/db/repos/steam-overlay
    sync-type: git
    sync-uri: https://github.com/gentoo-mirror/steam-overlay.git
    masters: gentoo
    eclass-overrides: sam_c

test
    location: /var/db/repos/test
    masters: gentoo
    eclass-overrides: sam_c

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="@FREE"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=native -fdiagnostics-color=always -frecord-gcc-switches"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe -march=native -fdiagnostics-color=always -frecord-gcc-switches -D_GLIBCXX_ASSERTIONS"
DISTDIR="/var/cache/distfiles"
EMERGE_DEFAULT_OPTS="--keep-going --with-bdeps=y --complete-graph --deep --dynamic-deps=n --changed-deps=n --usepkg-exclude sys-fs/zfs --usepkg-exclude sys-fs/zfs-kmod --usepkg=y --implicit-system-deps=n --jobs=4 --load-average 32"
ENV_UNSET="CARGO_HOME DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN GOPATH PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe -march=native -fdiagnostics-color=always -frecord-gcc-switches"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs buildpkg cgroup clean-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox mount-sandbox multilib-strict network-sandbox news parallel-fetch parallel-install pid-sandbox preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms split-log strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe -march=native -fdiagnostics-color=always -frecord-gcc-switches"
GENTOO_MIRRORS="http://mirror.bytemark.co.uk/gentoo/ http://www.mirrorservice.org/sites/distfiles.gentoo.org/ http://mirrors.soeasyto.com/distfiles.gentoo.org/"
LANG="en_GB.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--defsym=__gentoo_check_ldflags__=0 -Wl,-z,pack-relative-relocs"
LINGUAS="en en_GB"
PKGDIR="/var/cache/binpkgs"
PORTAGE_COMPRESS="pzstd"
PORTAGE_COMPRESS_FLAGS="-9 --rm -q"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
RUSTFLAGS="-C target-cpu=native"
SHELL="/bin/bash"
USE="PIC X a52 aac acl acpi activities aes alsa amd64 avx avx2 bash-completion bluetooth branding bzip2 cairo caps cdda cdr clang cli crypt dbus declarative dist-kernel dri dts dvd dvdr emacs encode exif f16c filecaps firewalld flac fma3 fortran freetype gdbm gif gmp gpm graphite gtk gui hardened harfbuzz hunspell iconv icu ipv6 jit jpeg kde kdesu kwallet lcms libglvnd libnotify libtirpc llvm-libunwind lto mad mmx mmxext mng mp3 mp4 mpeg multilib ncurses nftables nls nptl ogg opengl openmp pam pango pclmul pcre pdf pgo pie pipewire plasma png policykit popcnt ppds pulseaudio qml qt5 rdrand readline screencast sdl seccomp semantic-desktop sha spell sse sse2 sse3 sse4_1 sse4_2 sse4a ssl ssp ssse3 startup-notification svg system-av1 system-binutils system-boost system-bootstrap system-cairo system-clang system-digest system-ffmpeg system-harfbuzz system-heimdal system-icu system-jpeg system-leveldb system-libevent system-libs system-libvpx system-libyaml system-llvm system-lz4 system-mitkrb5 system-sqlite system-ssl system-tbb system-uulib system-webp system-zlib systemd tiff truetype udev udisks unicode upower usb verify-sig vorbis vulkan wayland widgets x264 xattr xcb xml xtpax xv xvid zfs zlib zsh-completion" ABI_X86="32 64" ADA_TARGET="gnat_2020" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx avx2 f16c fma3 mmx mmxext pclmul popcnt rdrand sha sse sse2 sse3 sse4_1 sse4_2 sse4a ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="libinput" KERNEL="linux" L10N="en en-GB" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LLVM_TARGETS="AArch64 AMDGPU ARM AVR BPF Hexagon Lanai MSP430 Mips NVPTX PowerPC RISCV Sparc SystemZ WebAssembly X86 XCore" LUA_SINGLE_TARGET="lua5-1" LUA_TARGETS="lua5-1" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-4 php8-0" POSTGRES_TARGETS="postgres12 postgres13" PYTHON_SINGLE_TARGET="python3_10" PYTHON_TARGETS="python3_10 pypy3 python3_11 python3_8 python3_9" QEMU_USER_TARGETS="aarch64 aarch64_be alpha armeb hppa m68k ppc64le sparc64" RUBY_TARGETS="ruby31" USERLAND="GNU" VIDEO_CARDS="amdgpu radeonsi radeon" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq proto steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  ADDR2LINE, AR, ARFLAGS, AS, ASFLAGS, CC, CCLD, CONFIG_SHELL, CPP, CPPFLAGS, CTARGET, CXX, CXXFILT, ELFEDIT, EXTRA_ECONF, F77FLAGS, FC, GCOV, GPROF, INSTALL_MASK, LC_ALL, LD, LEX, LFLAGS, LIBTOOL, MAKE, MAKEFLAGS, MAKEOPTS, NM, OBJCOPY, OBJDUMP, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_RSYNC_EXTRA_OPTS, RANLIB, READELF, SIZE, STRINGS, STRIP, YACC, YFLAGS
Comment 1 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-09-22 02:17:10 UTC
Created attachment 813451 [details]
meson-log.txt
Comment 2 matthias.grobarek 2022-09-22 13:06:47 UTC
I had the same issue, I fixed it by installing dev-util/glslang. So I suggest mesa-22.2.0 (and upwards?) should at least bdepend/depend on that package. I don’t have enough insight into Mesa to say if it’s needed at runtime as well.
Comment 3 Georgy Yakovlev archtester gentoo-dev 2022-09-22 21:38:29 UTC
also reported same on ppc64 directly to Matt

"video_cards_radeonsi vulkan" combo seems to trigger that dep, idk about radeon.
but yeah, installing glslang is a workaround for now.
Comment 5 Larry the Git Cow gentoo-dev 2022-10-01 22:48:41 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=063c6f4aa0b99385f2a8080414c7a8381728fc37

commit 063c6f4aa0b99385f2a8080414c7a8381728fc37
Author:     Matt Turner <mattst88@gentoo.org>
AuthorDate: 2022-10-01 22:47:42 +0000
Commit:     Matt Turner <mattst88@gentoo.org>
CommitDate: 2022-10-01 22:48:11 +0000

    media-libs/mesa: Depend on glslang for RADV
    
    And move it to BDEPEND, because it's only used at build-time.
    
    Closes: https://bugs.gentoo.org/872269
    Signed-off-by: Matt Turner <mattst88@gentoo.org>

 media-libs/mesa/mesa-22.2.0.ebuild | 4 ++--
 media-libs/mesa/mesa-9999.ebuild   | 3 ++-
 2 files changed, 4 insertions(+), 3 deletions(-)